Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 12 Jun 2022 16:23:45 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hi, I ordered 14 watches to give as gifts . I received today, sadly, some watches are not working and it's like no protective plastic on the screen and the battery might have been already working for years... when I'm buying at the watch shop, the battery has lock when they will be selling it. I also want to complain that you have to be sure that your product is working before you wrap it for delivery. One of my friend who ordered with me now, told maybe the reason you are on sale because you are sending 'karab' watches. I only see one yet. Still I'm busy, I will check all later.

How to return for exchange? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4478616